%perl_module Compress-Zlib 1.34 0_3

Summary:       A module providing Perl interfaces to the zlib compression library.
Group:         Development/Libraries
License:       distributable
URL:           http://search.cpan.org/dist/%{pkgname}/
Source:        http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/%{pkgname}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Compress::Zlib module provides a Perl interface to the zlib
compression library. Most of the functionality provided by zlib is
available in Compress::Zlib.

The module can be split into two general areas of functionality,
namely in-memory compression/decompression and read/write access to
gzip files.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README ANNOUNCE
%{perl_vendorarch}/Compress/Zlib.pm
%{perl_vendorarch}/auto/Compress/Zlib
#%{perl_vendorarch}/auto/zlib/extralibs.ld
%{perl_man3dir}/Compress::Zlib.3pm*

%changelog
* Tue May  3 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.34.

* Sat Nov  1 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
